---
title: "Rename a Channel"
slug: "rename-a-channel"
updated: 2026-09-03T14:50:33Z
published: 2026-09-03T14:50:33Z
canonical: "developer.rocket.chat/rename-a-channel"
stale: true
---
> ## Documentation Index
> Fetch the complete documentation index at: https://developer.rocket.chat/llms.txt
> Use this file to discover all available pages before exploring further.
# Rename a Channel
Post/api/v1/channels.rename
Change the name of a channel. Permission required: `edit-room`
### Changelog
| Version | Description |
| --- | --- |
| 0.48.0 | Added |
Header parametersX-Auth-TokenstringRequired
The `authToken` of the authenticated user.
ExampleRScctEHSmLGZGywfIhWyRpyofhKOiMoUIpimhvheU3f
X-User-IdstringRequired
The `userId` of the authenticated user.
ExamplerbAXPnMktTFbNpwtJ
Body parametersExample
```json
{
"roomId": "WDuJLFkjwk6L7LdFC",
"name": "newName"
}
```
object roomIdstring Required
The channel's ID.
namestring Required
The new name of the channel. It can not be the same as the current name.
Responses200
OK
Success
```json
{
"channel": {
"_id": "ByehQjC44FwMeiLbX",
"name": "new-name",
"t": "c",
"usernames": [
"testing1"
],
"msgs": 4,
"u": {
"_id": "aobEdbYhXfu5hkeqG",
"username": "testing1"
},
"ts": "2016-12-09T15:08:58.042Z",
"ro": false,
"sysMes": true,
"_updatedAt": "2016-12-09T15:57:44.686Z"
},
"success": true
}
```
Expand Allobject channelobject _idstring
namestring
tstring
usernames Array of string string
msgsinteger
uobject _idstring
usernamestring
tsstring
roboolean
sysMesboolean
_updatedAtstring
successboolean
400
Bad Request
No permission
```json
{
"success": false,
"error": "Editing room is not allowed [error-action-not-allowed]",
"errorType": "error-action-not-allowed",
"details": {
"method": "saveRoomSettings",
"action": "Editing_room"
}
}
```
Expand Allobject successboolean
errorstring
errorTypestring
detailsobject methodstring
actionstring
401
Unauthorized
Authorization Error
```json
{
"status": "error",
"message": "You must be logged in to do this."
}
```
object statusstring
messagestring